Won`t install Rated 1 out of 5 stars

Won`t install. Comes up as incompatible with Firefox 3.0.3

This review is for a previous version of the add-on (1.19).